body { 
    font-family: sans-serif; 
    padding: 20px; 
    max-width: 900px; 
    margin: auto; 
    background-color: #253A63;
    color: #CBFEC1;
    padding-top: 80px;
}

img { 
    max-width: 200px; 
    display: block; 
    margin-top: 10px; 
}


/* B U T T O N S */
button { 
    padding: 10px; 
    margin-top: 10px; 
}

button, .button {
    color: #124CA7;
    background: linear-gradient(0deg, #DADBDF, #FDFDFD);
    border: 1px solid grey;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

.round {
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    margin-left: 100%;
}

/* nav buttons */

i.fa-check, i.fa-arrow-left, i.fa-floppy-disk {
    font-size: 30px;
    padding: 0 2px;
}

#nav-buttons {
    display: flex;
    margin-bottom: 15px;
}

#nav-buttons button{
    display: flex;
    margin-left: 0 !important;
    margin-right: 20px;
}

/* B L O C K _ E L E M E N T */

.block-element {
    margin-top: 20px;
    background: white;
    color: #124CA7;
    padding: 10px;
    border-radius: 15px;
    font-weight: bold;
}

.block-element h3 {
    margin-bottom: 10px !important; 
    margin: 0;
    padding: 0;
}


    

    





    

li {
    padding-bottom: 10px;
}

.trait-wrap li {
    display: flex;
    height: 40px;
    align-items: center;
}
.trait-wrap img {
    height: 40px;
    width: auto;
    padding-right: 10px;
    margin: 0;
}

.spike-upper-left {
    background-color: white;
    color: #124CA7;
    font-weight: bold;
    padding: 20px 20px 20px 40px;
    border-radius: 15px;
    position: relative;
}

.spike-upper-left::before {
    content: "";
    width: 15px;
    height: 15px;
    background: white;
    transform: rotate(45deg);
    position: absolute;
    top: -8px;
}

#playername, .upload {
    display: flex;
    background: white;
    height: 35px;
    color: #124CA7;
    font-weight: bold;
    width: 390px;
    padding: 10px 10px 10px 10px;
    align-items: anchor-center;
}

#playername {
    position: absolute;
    top: 0;
    left: 0;
    border-bottom-right-radius: 40px;
}

#playername input {
    color: #124CA7;
    font-weight: bold;
}

.playername {
    display: flex;
    background: white;
    height: 35px;
    color: #124CA7;
    font-weight: bold;
    width: 390px;
    padding: 10px 10px 10px 10px;
    align-items: anchor-center;
    position: absolute;
    top: 0;
    left: 0;
    border-bottom-right-radius: 40px;
    margin: 0;
}

.upload {
    border-radius: 15px;
}

#playername input {
    border: none;
}

#importFileStart {
    opacity: 0;
}




/* custom checkbox */
.custom-checkbox {
    display: flex;
    align-items: center;
    cursor: pointer;
    user-select: none;
    gap: 0.5em; 
}

.custom-checkbox input {
    display: none; 
}

.custom-checkbox span {
    min-width: 20px;
    height: 20px;
    border: 2px solid grey;
    border-radius: 4px;
    background: white;
    position: relative;
    transition: background 0.2s, border-color 0.2s;
}

.custom-checkbox input:checked + span {
    background: #51B226;
    border-color: #51B226;
}

.custom-checkbox input:checked + span::after {
    content: "";
    position: absolute;
    left: 5px;
    top: 1px;
    width: 6px;
    height: 12px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.custom-checkbox:hover span {
    border-color: #555;
}

.custom-checkbox input:checked + span + * {
    color: #51B226;
}



.info {
    display: flex;
    height: 20px;
    color: #124CA7;
    font-weight: bold;
    width: 390px;
    padding: 10px 10px 10px 10px;
    align-items: anchor-center;
    position: absolute;
    top: 0;
    right: 0;
    border-bottom-left-radius: 40px;
    margin: 0;
}

.info a {
    color: #124CA7;
    text-decoration: none;
    background: #CBFEC1;
    padding: 2px;
    border-radius: 5px;
}
.info a:hover {
    color: #CBFEC1;
    background: #124CA7;
}

.info-item {
    width: 50px;
    height: 50px;
    background-color: white;
    border-bottom-left-radius: 50%;
    border-bottom-right-radius: 50%;
    margin-right: 10px;
}

.info img {
    padding: 8px 8px;
    margin: 0;
    height: 35px;
    width: auto;
}

.info-box {
    display: none; 
    position: absolute;
    top: 100%; 
    left: 0;
    background: white;
    border: 1px solid #ccc;
    padding: 1em;
    z-index: 100;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    flex-direction: column;
    gap: 0.5em;
    width: 90%;
}

#rules-info, #handling-info, #settings-info {
    display: none;
    background: white;
    color: #124CA7;
    padding: 10px;
    border-radius: 10px;
    margin-top: 5px;
    
}

#rules-info.active, #handling-info.active, #settings-info.active {
    display: block;
}

#rules-info p {
    margin: 0;
    padding: 0;
}

#title-spoiler {
    color: #253A63;
    border: #CBFEC1;
    background-color: #CBFEC1;
    padding: 10px;
}

#title-spoiler span{
    color: #CBFEC1;
}

#title-spoiler:hover span{
    color: #253A63;
}

.gen-image {
    width: fit-content;
    max-width: 400px;
}

.sim-details {
    display: flex;
    justify-content: space-between;
}

.sim-details .block-element{
    padding: 10px;
    margin: 0 !important;
}

.pack-info {
    margin-bottom: 25px !important;
}

.pack-info, .trait-wrap, .top-text, .top-unique {
    margin-top: 20px;
    border-radius: 15px;
    background: rgba(255, 255, 255, 0.5);
    padding: 10px;
}

.top-text .block-element {
    margin: 0;
    display: flex;
    align-items: center;
}

.top-text img {
    padding-right: 12px;
}

.top-unique .block-element {
    margin: 0;
    align-items: center;
}

.trait-wrap {
    width: 50%;
    height: fit-content;
}

.trait-wrap ul {
    list-style: none;
    padding: 0;
}

.pack-info div{
    background: white;
    color: #124CA7;
    padding: 10px 20px;
    border-radius: 15px;
    font-weight: bold;
}

.pack-info p{
    margin: 0;
    display: flex;
    flex-direction: column;
}

.border-top {
    border-top: 1px solid grey;
    margin-top: 5px;
    padding-top: 5px;
}

